net.minecraft.tileentity

## Class TileEntitySign

- java.lang.Object
- - net.minecraft.tileentity.TileEntity
  - - net.minecraft.tileentity.TileEntitySign

-     public class TileEntitySign
      extends TileEntity

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `int` | `lineBeingEdited` The index of the line currently being edited.
    `String[]` | `signText` An array of four strings storing the lines of text on the sign.

    - ### Fields inherited from class net.minecraft.tileentity.TileEntity

      `blockMetadata, blockType, INFINITE_EXTENT_AABB, worldObj, xCoord, yCoord, zCoord`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TileEntitySign()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `EntityPlayer` | `func_142009_b()`
    `void` | `func_142010_a(EntityPlayer par1EntityPlayer)`
    `Packet` | `getDescriptionPacket()` Overriden in a sign to provide the text.
    `boolean` | `isEditable()`
    `void` | `readFromNBT(NBTTagCompound par1NBTTagCompound)` Reads a tile entity from NBT.
    `void` | `setEditable(boolean par1)`
    `void` | `writeToNBT(NBTTagCompound par1NBTTagCompound)` Writes a tile entity to NBT.

    - ### Methods inherited from class net.minecraft.tileentity.TileEntity

      `addMapping, canUpdate, createAndLoadEntity, func_85027_a, getBlockMetadata, getBlockType, getDistanceFrom, getMaxRenderDistanceSquared, getRenderBoundingBox, getWorldObj, hasWorldObj, invalidate, isInvalid, onChunkUnload, onDataPacket, onInventoryChanged, receiveClientEvent, setWorldObj, shouldRefresh, shouldRenderInPass, updateContainingBlockInfo, updateEntity, validate`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### signText

          public String[] signText

      An array of four strings storing the lines of text on the sign.

    - #### lineBeingEdited

          public int lineBeingEdited

      The index of the line currently being edited. Only used on client side, but defined on both. Note this is only really used when the > < are going to be visible.

  - ### Constructor Detail

    - #### TileEntitySign

          public TileEntitySign()

  - ### Method Detail

    - #### writeToNBT

          public void writeToNBT(NBTTagCompound par1NBTTagCompound)

      Writes a tile entity to NBT.
      Overrides:
        `writeToNBT` in class `TileEntity`

    - #### readFromNBT

          public void readFromNBT(NBTTagCompound par1NBTTagCompound)

      Reads a tile entity from NBT.
      Overrides:
        `readFromNBT` in class `TileEntity`

    - #### getDescriptionPacket

          public Packet getDescriptionPacket()

      Overriden in a sign to provide the text.
      Overrides:
        `getDescriptionPacket` in class `TileEntity`

    - #### isEditable

          public boolean isEditable()

    - #### setEditable

          public void setEditable(boolean par1)

    - #### func_142010_a

          public void func_142010_a(EntityPlayer par1EntityPlayer)

    - #### func_142009_b

          public EntityPlayer func_142009_b()